Backoffice

Get keys version list

Returns a paginated list of keys_version records. Accessible to SuperAdmin and above.

GET
/api/v2/keys-version

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Query Parameters

tenantId?string

Filter by tenant UUID

Formatuuid
platform?string

Filter by platform (case-insensitive)

langBcp?string

Filter by BCP-47 language code (case-insensitive)

storyName?string

Filter by story name (case-insensitive)

includeDeleted?boolean

Include soft-deleted records (default: false)

Defaultfalse
limit?integer

Number of records per page

Range1 <= value
Default50
offset?integer

Number of records to skip

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/keys-version"
{  "items": [    {      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "platform": "web",      "langBcp": "en",      "storyName": "production",      "projectTypeId": 0,      "version": 42,      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "operationId": "string",      "changerId": 0    }  ],  "pagination": {    "maxCount": 0,    "limit": 0,    "offset": 0  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}